package com.bocloud.cmp.model.h3c;

public class H3cMigrateModel {
    // 需要迁移的虚拟机 ID。
    Long id;
    // 虚拟机名称，必填。
    String domainName;
    // 虚拟机显示名称，必填。
    String title;
    // 目标主机 ID，必填。
    Long targetHostId;
    // 虚拟机状态，0:离线迁移虚拟机 1：在线迁移虚拟机，必填
    String onlineMigrate;
    // 迁移类型，枚举:0表示只迁移主机，1表示只迁移存储，2表示迁移主机和存储，必填。
    String migrateType;
    // 迁移磁盘存储路径。
    String targetPath;
    // 迁移磁盘存储池。
    String targetPool;
    // 虚拟磁盘类型，枚举值：raw，qcow2。
    String diskFormat;
    // 是否在目的主机上创建配置文件。
    String dstPersist;
    // 迁移到目标主机后是否暂停。
    String dstSuspend;
    // 是否迁移压缩 true:压缩 false：不压缩。该参数只对在线迁移主机生效。
    String compress;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDomainName() {
        return domainName;
    }

    public void setDomainName(String domainName) {
        this.domainName = domainName;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Long getTargetHostId() {
        return targetHostId;
    }

    public void setTargetHostId(Long targetHostId) {
        this.targetHostId = targetHostId;
    }

    public String getOnlineMigrate() {
        return onlineMigrate;
    }

    public void setOnlineMigrate(String onlineMigrate) {
        this.onlineMigrate = onlineMigrate;
    }

    public String getMigrateType() {
        return migrateType;
    }

    public void setMigrateType(String migrateType) {
        this.migrateType = migrateType;
    }

    public String getTargetPath() {
        return targetPath;
    }

    public void setTargetPath(String targetPath) {
        this.targetPath = targetPath;
    }

    public String getTargetPool() {
        return targetPool;
    }

    public void setTargetPool(String targetPool) {
        this.targetPool = targetPool;
    }

    public String getDiskFormat() {
        return diskFormat;
    }

    public void setDiskFormat(String diskFormat) {
        this.diskFormat = diskFormat;
    }

    public String getDstPersist() {
        return dstPersist;
    }

    public void setDstPersist(String dstPersist) {
        this.dstPersist = dstPersist;
    }

    public String getDstSuspend() {
        return dstSuspend;
    }

    public void setDstSuspend(String dstSuspend) {
        this.dstSuspend = dstSuspend;
    }

    public String getCompress() {
        return compress;
    }

    public void setCompress(String compress) {
        this.compress = compress;
    }
}
